#ifndef ADC_8BIT_DOT_H
#define ADC_8BIT_DOT_H 1

#include <rinhw/rio.h>
#include <rinblock/rb_we21_adc.h>
#include <rinhw/adc_up.h>


/** This is the rinblock ADC device we use on the WE2111. Don't use dev_adc */
extern struct t_io_dev dev_adc_rb;


/** Reads converted level on ADC channel, in millivolts or kelvin */
void adc_read_all(long results[NUM_ADC_CHANNELS], uint16_t *temperature_raw);


#endif /* #ifndef ADC_8BIT_DOT_H */
