/*
 * app_db_user_calcnt.c
 *
 *  Created on: Jun 26, 2012
 *      Author: ian
 */
#include <rinweigh/adccalcountcheck_std.h>
#include <rindb/db_database_search.h>
#include <rindb/db_element.h>
#include <rinweigh/adcdatatypes.h>
#include "app_db_user.h"

#include "app_db_user_calcnt.h"


/**
 * Application implementation for checking for ADC user database changes that affect calibration and configuration counters.
 * Checks usual ADC settings, plus a couple of user database settings
 */
void AppUserDBCalCountCheckImplementer(AdcSuperStructure *ass, const AdcUserDatabase *changed_aud, const AdcUserDatabase *reference_aud,
                                       bool *calibration_changed, bool *configuration_changed)
{
  /* Call the standard ADC library one first */
  AdcStandardDatabaseCalCountCheckImplementer(ass, changed_aud, reference_aud, calibration_changed, configuration_changed);

#if 0
  /* If no changes, then check our variables */
  if (!(*configuration_changed))
  {
  }
#endif
}
