/*
 * app_db_user_calcnt.h
 *
 *  Created on: Jun 26, 2012
 *      Author: ian
 */

#ifndef APP_DB_USER_CALCNT_H_
#define APP_DB_USER_CALCNT_H_

#include <rinweigh/adcdatatypes.h>


/**
 * Application implementation for checking for ADC user database changes that affect calibration and configuration counters.
 * Checks usual ADC settings, plus a couple of user database settings
 */
void AppUserDBCalCountCheckImplementer(AdcSuperStructure *ass, const AdcUserDatabase *changed_aud, const AdcUserDatabase *reference_aud,
                                       bool *calibration_changed, bool *configuration_changed);


#endif /* APP_DB_USER_CALCNT_H_ */
