#ifndef BACKGRND_DOT_H
#define BACKGRND_DOT_H 1


long get_12V_reading(void);
long get_pos_sense_reading(void);
long get_neg_sense_reading(void);


extern uint8_t qa_timeout;         /* 0 for ok, 1 for cal due 2 for cal due ack */

void ack_qa_timeout(void);
/* called to acknowledge the QA timeout.
*************************************************************************/



/**************************************************************************/
void init_background(void);
/* called to initialize background processing.
***************************************************************************/
void do_background(void);
/* called by bf1000
**************************************************************/


#endif /* #ifndef BACKGRND_DOT_H */
