/*
 * adcthread.h
 *
 *  Created on: 08/03/2011
 *      Author: ian
 */

#ifndef ADCTHREAD_H_
#define ADCTHREAD_H_

#include <rinweigh/adcdatatypes.h>
#include "setpoint.h"


/** Structure containing all ADC data */
extern AdcSuperStructure adcSuperStructure;


/** Structure containing all setpoint data */
extern struct s_setpoint_running_info setpoint_running_info;


/** Initialise the ADC super structure */
bool adc_super_structure_init(void);


/** Destroy the ADC super structure */
void adc_super_structure_destroy(void);


/** Start the ADC thread, to be called after @ref adc_super_structure_init() */
bool adc_thread_init(void);


/** Shut down the ADC thread */
void adc_thread_destroy(void);


#endif /* ADCTHREAD_H_ */
