/*
 * serial_ports.c
 *
 *  Created on: 17/12/2010
 *      Author: ian
 */

#include "serial_ports.h"
#include "comms_task.h"
#include "we_debug.h"


/** SER 1 - Onboard rear rinlink port or DB9 RS232/RS422 serial port */
struct t_io_dev dev_ser1_local;


/** SER 2 - Onboard RS232 secondary serial port */
struct t_io_dev dev_ser2_local;


/** Front rinlink via display rinblock */
struct t_io_dev dev_ser_front_rl;


/** Main (bi-directional) RS422 rinblock serial port */
struct t_io_dev dev_ser3_rb_rs422;


/** Secondary (transmit only) RS422 rinblock serial port, not used */
struct t_io_dev dev_ser3_rb_rs422b;


/** Main (bi-directional) RS232 rinblock serial port */
struct t_io_dev dev_ser4_rb_rs232;


/** Secondary (transmit only) RS232 rinblock serial port, not used */
struct t_io_dev dev_ser4_rb_rs232b;


/** USB serial gadget serial port */
struct t_io_dev dev_ser7_usb;


/** USB host serial port */
struct t_io_dev dev_ser8_usbhostserial;


/** USB line printer serial port */
struct t_io_dev dev_ser9_usblp;
