/*
 * serial_usb_host.h
 *
 *  Created on: Sep 2, 2016
 *      Author: ian
 */

#ifndef SERIAL_USB_HOST_H_
#define SERIAL_USB_HOST_H_


#include "devicemounter.h"


/** Configure rinmodbus with database settings */
void rinmodbus_configure_from_db(void);


/** Callback from devicemounter to announce arrival of serial port */
void usb_host_serial_device_callback(void *client_callback_data, enum eDeviceMounterAction action, bool result, const char *device);


/** Reconfigure usb host serial when serial port type changes */
void usb_host_serial_device_reconfigure(void);


#endif /* SERIAL_USB_HOST_H_ */
