/*
 * status_led.h
 *
 *  Created on: Mar 19, 2015
 *      Author: ian
 */

#ifndef STATUS_LED_H_
#define STATUS_LED_H_

#include <stdbool.h>


#define STATUS_LED_NORMAL_FREQ 2
#define STATUS_LED_ERROR_FREQ 10


/** Set the status LED frequency */
void status_led_set_frequency(int frequency);


/** Initialise the status LED, if has_status_led */
void init_status_led(bool has_status_led);


/** Shutdown the status LED */
void destroy_status_led(void);


#endif /* STATUS_LED_H_ */
