/*
 * lcd_generic_common.h
 *
 *  Created on: 29/05/2012
 *      Author: ian
 */

#ifndef LCD_GENERIC_COMMON_H_
#define LCD_GENERIC_COMMON_H_

#include <rinhw/rio.h>
#include <rinhw/debug.h>


#if HW_DEBUG(LCD_DEBUG, HW_DEBUG_BASIC)

#define lcd_generic_pointer_check() \
  if (NULL == io_dev || NULL == io_dev->dev_data) \
  { \
    DEBUG_PRINTF(__FILE__ ": failed at line %d because of null pointers\n", __LINE__); \
    return RIO_ERROR; \
  }

#else

#define lcd_generic_pointer_check() \
  if (NULL == io_dev || NULL == io_dev->dev_data) \
  { \
    return RIO_ERROR; \
  }

#endif


/** LCD Device file length */
long lcd_generic_common_filelength(struct t_io_dev *io_dev);


#endif /* LCD_GENERIC_COMMON_H_ */
