/*
 * flash2238_local.h
 *
 *  Created on: 08/10/2009
 *      Author: ianb
 */
#ifndef FLASH2238_LOCAL_H_
#define FLASH2238_LOCAL_H_

#include <stdint.h>
#include <rinhw/rio.h>
#include <rinhw/memorydev_local_file.h>
#include "device.h"


/*
 * Some flash size defines
 */
#define FLASH_START_ADDRESS (FLASH_BLOCK0_START)
#define FLASH_LENGTH (FLASH_BLOCK11_END - FLASH_BLOCK0_START)


/** Function to create and initialise a local flash2238 device */
int rio_create_device_flash2238_local(struct t_io_dev *io_dev, const char *filename, size_t length, uint8_t blankfillchar);


#endif /* FLASH2238_LOCAL_H_ */
