/*
 * hw_vers.h
 *
 * Hardware library version information
 *
 *  Created on: Jun 23, 2012
 *      Author: ian
 */

#ifndef HW_VERS_DOT_H
#define HW_VERS_DOT_H 1

#include <rinhw/stdrinstrum.h>


/*
 * Version as constants
 */


/** Hardware library version constant as a string (n.n.n) */
extern const char HwLibVersionStr[];


/** Hardware library version constant as a formatted string (Vn.n.n) */
extern const char HwLibVersionFormattedStr[];


/** Hardware library version string as a human readable string eg "librinhw 0.0.0" */
extern const char HwLibDrawingNumberStr[];


#endif /* #ifndef HW_VERS_DOT_H*/
