/*
 * sio_local_pipe.h
 *
 *  Created on: Sep 5, 2014
 *      Author: ian
 */

#ifndef SIO_LOCAL_PIPE_H_
#define SIO_LOCAL_PIPE_H_

#include "rio.h"


/**
 * Create rin serial devices linked via a pipe()
 *
 * @param io_dev1 is the first un-initialised rin io device structure
 * @param io_dev2 is the second un-initialised rin io device structure
 */
int rio_create_device_sio_pipe(struct t_io_dev *io_dev1, struct t_io_dev *io_dev2);


#endif /* SIO_LOCAL_PIPE_H_ */
