#ifndef _RIO_DOT_H
#define _RIO_DOT_H 1

/*
 * _rio.h -
 *
 * Internal header file that defines non-user io functions and data structures
 *
 * by Ian Burns 18/8/2003
 */


/*
 * init_io -
 *
 * Initialises the io system. Must be called before any calls to the io functions
 */
void init_io(void *data);


/** Shut down the IO system */
void destroy_io(void);


#endif
