#ifndef _BKGRND_DOT_H
#define _BKGRND_DOT_H 1


/*
 * BackgroundInit -
 *
 * Initialise the background task. Maintains a list of functions that
 * get called at preset intevals.
 * Parameter data is unused, and just for compatibility with init
 */
void BackgroundInit(void *data);


/** Shut down the background task */
void BackgroundDestroy(void);


#endif
