#ifndef DEVICES_DOT_H
#define DEVICES_DOT_H 1

#include <rinhw/rio.h>

extern struct t_io_dev dev_console;
extern struct t_io_dev dev_iic0;
extern struct t_io_dev dev_adc24bit;
extern struct t_io_dev dev_rtc;
extern struct t_io_dev dev_fram;
extern struct t_io_dev dev_ser1;
extern struct t_io_dev dev_ser2;
extern struct t_io_dev dev_udp_datagram;
extern struct t_io_dev dev_tcp_stream;
extern struct t_io_dev dev_pipe1;
extern struct t_io_dev dev_pipe2;


#define MAX_DEV_USB_SERIAL 6
extern struct t_io_dev dev_usb_serial[MAX_DEV_USB_SERIAL];


/** Start up the system */
int init_test_app_devices(void);


/** Shut down the system */
void destroy_test_app_devices(void);


#endif /* #ifndef DEVICES_DOT_H */
