#include <rinhw/power.h>
#include <rinhw/rio.h>
#include <rinhw/rstdio.h>
#include <rinhw/sio.h>

#include "pwrtest.h"


#if 0
void TestProgramSci3(struct t_io_dev *dev)
{
    unsigned char ch = 0x00;

    rfprintf(dev, "Using SCI3!!!\n");
    ropen(&dev_com3, 0);

    while (ch != 'Q')
    {
        rfprintf(&dev_com3, "'F' to start flash programmer, 'Q' to quit.\n");
        rread(&dev_com3, &ch, 1, 0);

        switch (ch)
        {
            case 'F':
                StartFlashProgrammer(3);
                rfprintf(dev, "There is a problem, this should not return\n");
                break;
        }
    }
    rclose(&dev_com3);
}
#endif


void TestPower(struct t_io_dev *dev, struct t_io_dev *dummy)
{
    unsigned char ch = 0x00;

    while (ch != 'Q')
    {

        rfprintf(dev, "\nPower Test\n 'O' to turn off, 'R' to system reset, 'F' to start flash programmer, '3' to program on sci3, 'Q' to quit.\n");
        rread(dev, &ch, 1, 0);

        switch (ch)
        {
            case 'O':
                PowerTurnOff();
                break;
            case 'R':
                SystemReset();
                break;
#if 0
            case 'F':
                StartFlashProgrammer(2);
                rfprintf(dev, "There is a problem, this should not return\n");
                break;
            case '3':
                TestProgramSci3(dev);
                break;
#endif
        }
    }
}
