#ifndef _TICK_DOT_H
#define _TICK_DOT_H 1


/*
 * init_tick -
 *
 * Start up the system tick at OS_TICKS_PER_SEC. Data parameter is not used, but just for init compatibility.
 */
void init_tick(void *data);


/*
 * TickIntClear -
 *
 * Called by the timer ISR to run any timer functions, and clear the timer interrupt
 * Do not call from anywhere else
 */
void TickIntClear(void);


#endif
