/*
 * rb_c500_lcd.h
 *
 *  Created on: 04/12/2014
 *      Author: ianb
 */

#ifndef RB_C500_LCD_H_
#define RB_C500_LCD_H_

#include <rinhw/lcd.h>
#include <rinblock/rinblock.h>

/* Get segments from rb_msg.h struct s_rb_c500_disp_write_14seg, so we're not defining it multiple times like on the WE2111 */
#include <rinblock/rb_msg.h>


/** Create a LCD device for a C500 display rinblock with segment flash */
int RinBlockCreateC500LcdDeviceSegFlash(struct t_io_dev *io_dev, struct t_rinblock *rb);


/** Create a LCD device for a C500 rinblock without segment flashing */
int RinBlockCreateC500LcdDeviceNoSegFlash(struct t_io_dev *io_dev, struct t_rinblock *rb);


#endif /* RB_C500_LCD_H_ */
