#ifndef RB_SCRATCH_DOT_H
#define RB_SCRATCH_DOT_H 1

#include <rinblock/rinblock.h>


/*
 * RinBlockReadScratchPad -
 *
 * Read length bytes into buffer buf from the scratchpad
 * of rinblock rb, starting at address start
 */
unsigned char RinBlockReadScratchPad(struct t_rinblock *rb, unsigned char *buf, unsigned char start, unsigned length);


/*
 * RinBlockWriteScratchPad -
 *
 * Write length bytes from buffer buf to the scratchpad
 * of rinblock rb, starting at address start in the scratchpad
 */
unsigned char RinBlockWriteScratchPad(struct t_rinblock *rb, unsigned char *buf, unsigned char start, unsigned length);

#endif
