#ifndef RB_SERIAL_DOT_H
#define RB_SERIAL_DOT_H 1

#include <rinhw/rio.h>
#include <rinblock/rinblock.h>


/** The serial channels on a rinblock */
enum e_rb_serial_channel { rbsc_a, rbsc_b };


/** Create a serial device for a rinblock & channel */
int RinBlockCreateSerialDevice(struct t_io_dev *io_dev, struct t_rinblock *rb, enum e_rb_serial_channel channel);


#endif /* #ifndef RB_SERIAL_DOT_H */
