#ifndef RB_WE21_BUZZER_H_
#define RB_WE21_BUZZER_H_

#include <rinhw/buzzer.h>
#include <rinblock/rinblock.h>


/**
 * Create a WE2111 rinblock buzzer device
 *
 * @param io_dev is an uninitialised io device
 * @param rb is a pointer to a rinblock with a buzzer
 */
int RinBlockCreateWE21BuzzerDevice(struct t_io_dev *io_dev, struct t_rinblock *rb);


#endif /* #ifndef RB_WE21_BUZZER_H_ */
