/***************************************************************************************************
MODULE:    	STATUS
VERSION:   	0.01
CONTAINS:  	status for Rin-block elements
COPYRIGHT: 	Rinstrum Pty Ltd 2004
DATE: 		9 Mar 2004
NOTES:
***************************************************************************************************/

#ifndef STATUS_DOT_H    /* Don't change, required by status_list.h */
#define STATUS_DOT_H 1



#undef   ST_NEW
#undef   ST_NEXT
#define  ST_NEW(VAR,VAL,DESC)   VAR = VAL,
#define  ST_NEXT(VAR,DESC)      VAR,
typedef enum
{
#include <rinblock/statuslist.h>
  STATUS_LAST_ENTRY /* Need this to stop GNU GCC complaining about a dangling ','. */
} STATUS_T;



/*
 * NAME:        StatusStr
 *
 * PARAMETERS: none
 *
 * RETURNS:     A pointer to the string corresponding to the passed in status.
 *
 * NOTES:
 */
char* StatusStr(STATUS_T status);

#endif /* #ifndef STATUS_DOT_H    // Don't change, required by status_list.h */
