#ifndef RB_PROGRAM_TEST_DOT_H
#define RB_PROGRAM_TEST_DOT_H 1

void testprogram_test(struct t_io_dev *debug_dev, struct t_rinblock *rb);


/**
 * Program rinblock rb via serial port serial_dev.
 * Looks for "PFxxxx;", or "ABORT" from the serial port to initiate programming, or abort
 * xxxx is 4 digits of the RB_HW_VERSION_ constants (ie M4301 8 DIO is 0001)
 */
unsigned char RinBlockProgramFromRunning(struct t_io_dev *serial_dev, struct t_rinblock *rb);


#if 0 /* Was R400 */
/**
 * Interactive version of RinBlockProgramFromRunning
 * Asks user on serial_dev which serial port to program the rinblock via
 * Looks for "PFxxxx;", or "ABORT" from the chosen serial port to initiate programming, or abort
 * xxxx is 4 digits of the RB_HW_VERSION_ constants (ie M4301 8 DIO is 0001)
 */
void RinBlockSerialProgram(struct t_io_dev *serial_dev, struct t_rinblock *rb);
#endif /* #if 0 */

#endif /* #ifndef RB_PROGRAM_TEST_DOT_H */
