#include <stddef.h>
#include <rinhw/rio.h>
#include <rinhw/framdev_local.h>
#include <rinhw/debug.h>
#include <rinremote/remote.h>
#include "remote_device.h"

#include <rinremote/framdev_remote.h>


/** Function to create and initialise a remote FRAM device */
int rio_create_device_fram_remote(struct t_io_dev *io_dev)
{
  /* Create and initialise a default remote device (standard IO functions, no IOCTL function) */
  return rio_create_device_default_remote(io_dev, REMOTE_DEV_FRAM);
}
