/*
 * remote_device.h
 *
 *  Created on: 24/09/2010
 *      Author: ian
 */

#ifndef REMOTE_DEVICE_H_
#define REMOTE_DEVICE_H_

#include <rinhw/rio.h>


/** Fill this out, and rio_create_device_default_remote() will point io_dev->data to it */
struct s_remote_device_info
{
  unsigned char device_id;
};


/** Function to create and initialise a default remote device (standard IO functions, no IOCTL function) */
int rio_create_device_default_remote(struct t_io_dev *io_dev, int remote_device_id);


#endif /* REMOTE_DEVICE_H_ */
