/*
 * remotehelper.h
 *
 *  Created on: 24/10/2008
 *      Author: ianb
 */

#ifndef REMOTEHELPER_H_
#define REMOTEHELPER_H_

#include <rinremote/remote.h>


void vInitRemoteCmdHdr( struct s_rem_device_command *prdCmd, int8u ui8Cmd, int8u ui8Device );
void vInitRemoteRespHdr( struct s_rem_device_response *prdResponse, int8u ui8Cmd, int8u ui8Device );
void vInitRemoteResp_Default( struct s_rem_device_response *prdResponse, int8u ui8Cmd, int8u ui8Device, int32s i32Result );
void vInitRemoteIoCtlCmdHdr( struct s_rem_device_command *prdCmd, int8u ui8Device, int16u ui16IoCtlFn );
void vInitRemoteIoCtlRespHdr( struct s_rem_device_response *prdResponse, int8u ui8Device, int16u ui16IoCtlFn );
void vInitRemoteIoCtlResp_Default( struct s_rem_device_response *prdResponse, int8u ui8Device, int16u ui16IoCtlFn, int32s i32Result );
bool bCheckRemoteRespHdr( const struct s_rem_device_response *prdResponse, int8u ui8Cmd, int8u ui8Device );
int nCheckRemoteResp_Default( const struct s_rem_device_response *prdResponse, int8u ui8Cmd, int8u ui8Device );
bool bCheckRemoteIoCtlRespHdr( const struct s_rem_device_response *prdResponse, int8u ui8Device, int16u ui16IoCtlFn );
int nCheckRemoteIoCtlResp_Default( const struct s_rem_device_response *prdResponse, int8u ui8Device, int16u ui16IoCtlFn );


/** Fill out a default response */
void vDefaultResponse( const struct s_rem_device_command *prdCmd,
                       struct s_rem_device_response *prdResponse, int *pnLength, int nResult );


/** Fill out a response as an error */
void vDefaultErrorResponse( const struct s_rem_device_command *prdCmd,
                            struct s_rem_device_response *prdResponse, int *pnLength );


/** Fill out a response as success */
void vDefaultSuccessResponse( const struct s_rem_device_command *prdCmd,
                              struct s_rem_device_response *prdResponse, int *pnLength );


#endif /* REMOTEHELPER_H_ */
