/*
 * remote_kbd.h
 *
 *  Created on: 24/10/2008
 *      Author: ianb
 */

#ifndef REMOTE_KBD_H_
#define REMOTE_KBD_H_

#include <rinhw/stdrinstrum.h>


/*
IOCTL_KBD_SET_BASIC
IOCTL_KBD_SET_REPEAT
IOCTL_KBD_SET_HOLD
IOCTL_KBD_SET_DISABLED
*/
struct s_rem_dev_cmd_ioctl_kbd_configure
{
  int8u ui8NumKeys;
  int8u ui8Buffer[ 1 ];
};


/* IOCTL_KBD_WRITE_HI_KEY_BITS */
struct s_rem_dev_cmd_ioctl_kbd_external_keybits
{
  int32u ui32ExternalKeybits;
};


/* IOCTL_KBD_INTERNAL_BITS */
struct s_rem_dev_cmd_ioctl_kbd_internal_keybits
{
  int8u ui8Unused;
};


/* IOCTL_KBD_INTERNAL_BITS */
struct s_rem_dev_resp_ioctl_kbd_internal_keybits
{
  int32s i32Result;
  int32u ui32InternalKeybits;
};


#endif /* REMOTE_KBD_H_ */
