/*
 * remote_sio.h
 *
 *  Created on: 26/10/2008
 *      Author: ianb
 */

#ifndef REMOTE_SIO_H_
#define REMOTE_SIO_H_

#include <rinhw/stdrinstrum.h>
#include <rinhw/sio.h>


/* IOCTL_SER_SET_CONFIG */
struct s_rem_dev_cmd_ioctl_sio_set_config
{
  t_ioctl_siocfg sio_config;
};

/* IOCTL_SER_GET_CONFIG */
struct s_rem_dev_cmd_ioctl_sio_get_config
{
  int8u ui8Unused;
};

struct s_rem_dev_resp_ioctl_sio_get_config
{
  int32s i32Result;
  t_ioctl_siocfg sio_config;
};


/*
IOCTL_SER_GET_RX_BUF_LEVEL
IOCTL_SER_GET_TX_BUF_LEVEL
IOCTL_SER_GET_RX_BUF_SIZE
IOCTL_SER_GET_TX_BUF_SIZE
IOCTL_SER_GET_CTS_STATE
IOCTL_SER_GET_RX_ERR_COUNT
*/
struct s_rem_dev_cmd_ioctl_sio_get_level
{
  int8u ui8Unused;
};

struct s_rem_dev_resp_ioctl_sio_get_level
{
  int32s i32Result;
  int32u ui32Level;
};


/* IOCTL_SER_SET_RING_NETWORK */
struct s_rem_dev_cmd_ioctl_sio_set_ring_network
{
  int8u ui8Enabled;
};


#endif /* REMOTE_SIO_H_ */
