/*
 * slip_io.h
 *
 *  Created on: 24/08/2009
 *      Author: ian
 */

#ifndef SLIP_IO_H_
#define SLIP_IO_H_

#include <rinhw/rio.h>
#include <rinremote/slip.h>


/** Initialise slip using a TCP socket (listening for connections) */
int slip_socket_listen_init(struct s_slipio *slipio, int socket);


/** Initialise slip using a TCP socket (connecting to a listening socket) */
int slip_socket_connect_init(struct s_slipio *slipio, const char *server, int port);


/** Initialise slip using a serial port */
int slip_serial_init(struct s_slipio *slipio, const char *devicename);


/** Initialise slip using a rinstrum device */
int slip_init_rio_dev(struct s_slipio *slipio, struct t_io_dev *iodev);


#endif /* SLIP_IO_H_ */
