/*
 * alibi_config.h
 *
 *  Created on: Feb 21, 2012
 *      Author: ian
 */

#ifndef ALIBI_CONFIG_H_
#define ALIBI_CONFIG_H_


/** Timeout used when displaying errors */
#define ADC_ALIBI_CONFIG_ERROR_TIMEOUT (OS_TICKS_PER_SEC * 6)


/** Timeout used when displaying messages */
#define ADC_ALIBI_CONFIG_MESSAGE_TIMEOUT (OS_TICKS_PER_SEC * 1)


/** The display update frequency */
#define ADC_ALIBI_CONFIG_DISPLAY_UPDATE_HZ (10)
#define ADC_ALIBI_CONFIG_DISPLAY_UPDATE_TICKS (OS_TICKS_PER_SEC / ADC_ALIBI_CONFIG_DISPLAY_UPDATE_HZ)


/** The amount of time to wait when displaying a prompt */
#define ADC_ALIBI_CONFIG_PROMPT_PAUSE (OS_TICKS_PER_SEC)


/** The amount of time to hold each display when scrolling strings */
#define ADC_ALIBI_CONFIG_SCROLL_RATE (OS_TICKS_PER_SEC)


#endif /* ALIBI_CONFIG_H_ */
