/*
 * rc_client_sync.h
 *
 *  Created on: Dec 15, 2017
 *      Author: ian
 */

#ifndef RC_CLIENT_SYNC_H_
#define RC_CLIENT_SYNC_H_

#include <time.h>
#include <stdbool.h>
#include <rincmd/rc_cli_comms.h>
#include <rincmd/rc_public.h>


/** Get a timeout pointer */
struct timespec *get_timeout_ptr(struct timespec *to, int timeoutms);


/** Synchronous client example */
enum e_rc_cli_result sync_client_example(struct s_rc_cli_comms *rcc, rc_RegId_t regid,
                                         bool usecrc, bool streaming,
                                         unsigned repeats, int timeoutms, bool *quit);


#endif /* RC_CLIENT_SYNC_H_ */
