/*
 * test_rc_strncpy.c
 *
 *  Created on: Nov 22, 2017
 *      Author: ian
 */
#include <string.h>
#include <stdio.h>
#include <cutest/CuTest.h>
#include <rincmd/rc_strncpy.h>

#include "test_rc_strncpy.h"


static void test_rc_safe_strncpy(CuTest *tc)
{
  char buffer[100];
  char *ptr;

  ptr = rc_safe_strncpy(buffer, "hello", 10);
  CuAssertStrEquals(tc, "hello", ptr);

  ptr = rc_safe_strncpy(buffer, "hello", 3);
  CuAssertStrEquals(tc, "he", ptr);
}


CuSuite *CuGetSuite_rc_strncpy(void)
{
  CuSuite *suite = CuSuiteNew();

  SUITE_ADD_TEST(suite, test_rc_safe_strncpy);

  return suite;
}
