/*
 * db_base64.h
 *
 *  Created on: 20/06/2011
 *      Author: ian
 */

#ifndef DB_BASE64_H_
#define DB_BASE64_H_

#include <stdint.h>
#include <stdlib.h>
#include <rindb/db_error.h>


/** base64 encode a buffer */
enum eDBError db_base64_encode(const uint8_t *instr, size_t inlen, char *outstr, size_t outmaxlen);


/** Decode a base64 encoded buffer */
enum eDBError db_base64_decode(const char *instr, size_t inlen, uint8_t *outstr, size_t outmaxlen, size_t *outlen);


#endif /* DB_BASE64_H_ */
