/*
 * db_crc.h
 *
 *  Created on: 20/06/2011
 *      Author: ian
 */

#ifndef DB_CRC_H_
#define DB_CRC_H_

#include <stdint.h>
#include <stddef.h>


/** CRC result type, 32bit means 32bit CRC */
typedef uint32_t crc_t;


/** Calculate CRC of data */
crc_t db_crc32(const uint8_t *message, size_t message_length, crc_t crc_seed);


#endif /* DB_CRC_H_ */
