/*
 * db_database_uboot.h
 *
 *  Created on: Sep 13, 2012
 *      Author: ian
 */

#ifndef DB_DATABASE_UBOOT_H_
#define DB_DATABASE_UBOOT_H_


#include <rindb/db_database.h>
#include <rindb/db_buffer.h>


/** Create a u-boot environment variable database interpreter for a buffer */
enum eDBError db_create_database_interp_uboot(struct s_db_database_interp *ddi, struct s_db_buffer *buffer);


/** Destroy a u-boot environment variable database interpreter. It's up to you to destroy the buffer passed to db_create_database_interp_uboot() */
enum eDBError db_destroy_database_interp_uboot(struct s_db_database_interp *ddi);


#endif /* DB_DATABASE_UBOOT_H_ */
