/*
 * dsd_mutex.c
 *
 *  Created on: Mar 7, 2012
 *      Author: ian
 */
#include <rinweigh/adcdsd.h>

#include "dsd_mutex.h"


/** Lock the DSD structure */
enum eAdcDsdError AdcDSDMutexLock(struct s_adc_dsd *dsd)
{
  if (NULL == dsd)
    return ADC_DSD_ERROR_NULL;
  return (AdcMutexImplementerLock(dsd->mutex_implementation))
         ? ADC_DSD_SUCCESS : ADC_DSD_ERROR_MUTEX;
}


/** Release the DSD structure */
enum eAdcDsdError AdcDSDMutexUnlock(struct s_adc_dsd *dsd)
{
  if (NULL == dsd)
    return ADC_DSD_ERROR_NULL;
  return (AdcMutexImplementerUnlock(dsd->mutex_implementation))
         ? ADC_DSD_SUCCESS : ADC_DSD_ERROR_MUTEX;
}
