/*
 * dsd_verify.c
 *
 *  Created on: Mar 7, 2012
 *      Author: ian
 */
#include "dsd_mutex.h"
#include <rinweigh/adcdsd.h>
#include "dsd_fileindex.h"

#include "dsd_verify.h"


/** Verify the integrity of all records in the DSD (no locking) */
enum eAdcDsdError AdcIntDSDVerifyIntegrity(struct s_adc_dsd *dsd, bool fix, size_t *record_num)
{
  /* Check pointers */
  if (NULL == dsd || NULL == record_num)
  {
    return ADC_DSD_ERROR_NULL;
  }

#if 0
  enum eAdcDsdError interim_result;
  enum eAdcDsdError result;
  int32u records;

  /* Work out how many records there are */
  interim_result = AdcIntDSDGetNumberRecords(dsd, &records);
  if (ADC_DSD_SUCCESS != interim_result)
  {
    result = interim_result;
    goto aidvi_fail;
  }

  /* Read each one to check it's checksum */
  for (i = 0; i < records; i++)
  {
    enum eAdcDsdError AdcIntDSDReadRecord(struct s_adc_dsd *dsd, int32u record, int8u *buffer, int16u buflen)



  /* Navigate to first record */
  result = AdcDSDFindFirstRecordUnlock(dsd);
  if (ADC_DSD_SUCCESS != result)
  {
    return result;
  }

  /* Check each record */
  for (current_record = 0; ADC_DSD_ERROR_NOMORERECORDS != result; current_record++)
  {
    result = AdcDSDFindNextRecordUnlock(dsd, true);
    if (ADC_DSD_ERROR_NOMORERECORDS != result && ADC_DSD_SUCCESS != result)
    {
      /* Something borked, fix if requested */
      if (fix)
      {
        /* TODO fix DSD */
      }
      else
      {
        /* No fix, just stop here */
        break;
      }
    }
  }

  /* Number of records when result == ADC_DSD_SUCCESS, or index of the one it broke at */
  *record_num = current_record;
  if (ADC_DSD_ERROR_NOMORERECORDS == result)
  {
    result = ADC_DSD_SUCCESS;
  }
  return result;
#endif
  return ADC_DSD_SUCCESS;
}
