/*
 * rl_licence.c
 *
 *  Created on: Oct 19, 2016
 *      Author: ian
 */
#include <stdint.h>
#include <stdio.h>
#include <string.h>
#include <stdbool.h>
#include "rl_opkg.h"
#include "rl_rx00_list.h"
#include "rl_generate_r300.h"
#include "rl_generate_r400.h"
#include "rl_generate_c500.h"

#include <rinlicence/rl_licence.h>


/** Strings for each of the licensing algorithms. Must match @ref enum e_rl_algorithm */
const char *const rl_algorithm_strs[rla_num] = RL_ALGORITHM_STRS;


/** Change the serial number */
enum e_rl_result rl_set_serial_number(struct s_rl_licence *rl_licence, uint32_t new_serial_number)
{
  if (NULL == rl_licence)
    return rlr_paramfail;
  rl_licence->serial_number = new_serial_number;
  return rlr_success;
}
