/*
 * rl_pkgtype_r400.c
 *
 *  Created on: 4 Sep. 2018
 *      Author: ian
 */
#include <rinlicence/rl_licence.h>

#include "rl_pkgtype_r400.h"


/** Get the package type for package_name on an R400 */
enum e_rl_result rl_get_package_type_r400(struct s_rl_licence *rl_licence, const char *package_name, enum e_rl_package_type *package_type)
{
  if (NULL == rl_licence || NULL == package_name || NULL == package_type)
    return rlr_paramfail;

  /* All packages on the R400 are primary packages */
  *package_type = rlpt_primary;
  return rlr_success;
}
