/*
 * rp_checksum.h
 *
 *  Created on: Aug 17, 2017
 *      Author: ian
 */

#ifndef RP_CHECKSUM_H_
#define RP_CHECKSUM_H_

#include <stdio.h>
#include <stdint.h>
#include <rinprog/rinprog.h>


/** Verify stream in has a valid checksum at one of blocksize intervals */
enum e_rp_result rp_verify_buffer_block_checksum(FILE *in, uint16_t seed, uint32_t start_offs, uint32_t blocksize);


/** Verify there is a valid checksum at the end of stream in */
enum e_rp_result rp_verify_buffer_all_checksum(FILE *in, uint16_t seed, uint32_t start_offs);


#endif /* RP_CHECKSUM_H_ */
