/*
 * rp_teacrypt.h
 *
 *  Created on: Aug 10, 2017
 *      Author: ian
 */

#ifndef RP_TEACRYPT_H_
#define RP_TEACRYPT_H_

#include <stdint.h>
#include <stdio.h>
#include <rinprog/rinprog.h>


struct s_rp_tea_key
{
  uint32_t key[4];
};


struct s_rp_tea_data
{
  uint32_t data[2];
};


void rp_tea_encrypt(struct s_rp_tea_data *const tea_v, const struct s_rp_tea_key *const tea_k);


void rp_tea_decrypt(struct s_rp_tea_data *const tea_v, const struct s_rp_tea_key *const tea_k);


void rp_cbc_tea_encrypt(struct s_rp_tea_data *const tea_v, struct s_rp_tea_data *const tea_iv, const struct s_rp_tea_key *const tea_k);


void rp_cbc_tea_decrypt(struct s_rp_tea_data *const tea_v, struct s_rp_tea_data *const tea_iv, const struct s_rp_tea_key *const tea_k);


#if 0
enum e_rp_result rp_tea_encrypt_stream(FILE *in, FILE *out, const struct s_rp_tea_data *const tea_iv, const struct s_rp_tea_key *const tea_k);


enum e_rp_result rp_tea_decrypt_stream(FILE *in, FILE *out, const struct s_rp_tea_data *const tea_iv, const struct s_rp_tea_key *const tea_k);
#endif


#endif /* RP_TEACRYPT_H_ */
