/*
 * adcdbdefimpl_std.c
 *
 *  Created on: Apr 18, 2012
 *      Author: ian
 */
#include <rinweigh/adcinterface.h>
#include <rinweigh/adcdbfactory.h>
#include <rinweigh/adcdbuser.h>
#include <rinweigh/adcdbruntime.h>

#include <rinweigh/adcdbdefimpl_std.h>


/** Standard ADC library database default implementer */
void AdcStandardDatabaseDefaultImplementer(AdcSuperStructure *ass,
                                           AdcFactoryDatabase *afd,
                                           AdcUserDatabase *aud,
                                           AdcRuntimeDatabase *ard,
                                           bool preserve_cal_counters,
                                           bool cal_only)
{
  if (NULL != afd)
  {
    AdcIntFactoryDatabaseDefault(afd);
  }
  if (NULL != aud)
  {
    AdcIntUserDatabaseDefault(aud, preserve_cal_counters, cal_only);
  }
  if (NULL != ard)
  {
    AdcIntRuntimeDatabaseDefault(ard);
  }
}
