/*
 * adcmutex.c
 *
 *  Created on: Mar 1, 2012
 *      Author: ian
 */
#include "adcdatatypes.h"
#include "adcmuteximpl.h"

#include "adcmutex.h"
#include "adcinterface.h"


/** Lock the ADC super structure */
bool AdcMutexLock(AdcSuperStructure *ass)
{
  if (NULL == ass)
    return false;

  return AdcMutexImplementerLock(ass->adcMutex);
}


/** Unlock the ADC super structure */
bool AdcMutexUnlock(AdcSuperStructure *ass)
{
  if (NULL == ass)
    return false;

  return AdcMutexImplementerUnlock(ass->adcMutex);
}
