/*
 * adcmutex.h
 *
 *  Created on: Mar 1, 2012
 *      Author: ian
 */
#ifndef ADCMUTEX_H_
#define ADCMUTEX_H_

#include <rinhw/stdrinstrum.h>
#include <rinweigh/adcdatatypes.h>


/** Lock the ADC superstructure if lock flag set. Used internally */
#define ADC_INT_IFACE_LOCK() \
  if (lock) { AdcMutexLock(ass); }


/** Unlock the ADC superstructure if lock flag set. Used internally */
#define ADC_INT_IFACE_UNLOCK() \
  if (lock) { AdcMutexUnlock(ass); }


/** Create the ADC super structure mutex */
bool AdcIntMutexInit(AdcSuperStructure *ass);


/** Destroy ADC super structure mutex */
bool AdcIntMutexDestroy(AdcSuperStructure *ass);


#endif /* ADCMUTEX_H_ */
