/*
 * lsnc_gateway.h
 *
 *  Created on: 1 Jun. 2018
 *      Author: ian
 */

#ifndef LSNC_GATEWAY_H_
#define LSNC_GATEWAY_H_

#include <netinet/in.h>
#include <setnetconfig.h>


/** Get the current IPv4 default gateway using the PF_NETLINK socket interface */
enum e_snc_result snc_ipv4_gateway_get_current(const char *eth_interface, struct in_addr *default_gateway);


#endif /* LSNC_GATEWAY_H_ */
