/*
 * app_devicemount.h
 *
 *  Created on: Mar 31, 2014
 *      Author: ian
 */

#ifndef APP_DEVICEMOUNT_H_
#define APP_DEVICEMOUNT_H_


/** Initialise the device mounter for the WE2111 */
void we2111_device_mounter_init(const char *mount_location, const char *device_mounter_notification_pipe);


/** Shutdown the device mounter for the WE2111 */
void we2111_device_mounter_destroy(void);


/** Unmount a mounted USB disk */
int we2111_unmount_usbdisk(void);


/** Dismount printer and event devices */
void we2111_device_mounter_dismount_lua_devices(void);


/** Remove printer and event device handlers */
void we2111_device_mounter_remove_lua_devices(void);


#endif /* APP_DEVICEMOUNT_H_ */
