/*
 * comms_dispatch.h
 *
 *  Created on: 13/10/2010
 *      Author: ian
 */

#ifndef COMMS_DISPATCH_H_
#define COMMS_DISPATCH_H_

#include "comms_util.h"


/** Convert a HBM command into a number (eg BDR -> 771) */
#define HBM_CMD_CHARS_TO_NUM(a, b, c) \
  ((a - 'A') * 26 * 26 + (b - 'A') * 26 + (c - 'A'))


/** Handle a HBM style command (eg IDN) */
uint8_t comms_handle_hbm_cmd(uint16_t cmd, struct s_comms_control *comms_ctrl, char *s);


#endif /* COMMS_DISPATCH_H_ */
