/*
 * comms_kbd.h
 *
 *  Created on: 13/10/2010
 *      Author: ian
 */

#ifndef COMMS_KBD_H_
#define COMMS_KBD_H_

#include <stdint.h>
#include <rinhw/stdrinstrum.h>


/** Send a key from the comms to the indicator using keycodes _KEY constants */
void comms_kbd_put_key(uint8_t key, bool longpress);


/** Send a key from the comms to the indicator using characters <STX>Kx00<ETX> commands */
void comms_kbd_put_key_char(char key);


/** Translate a comms key into a normal WE2111 keystroke */
uint8_t comms_kbd_get_cmd(void);


#endif /* COMMS_KBD_H_ */
