/*
 * comms_print_auto.h
 *
 *  Created on: Mar 16, 2012
 *      Author: ian
 */

#ifndef COMMS_PRINT_AUTO_H_
#define COMMS_PRINT_AUTO_H_


/** States of the auto printer */
enum eAutoPrintState { apsWaitForZeroBand = 0,
                       apsWaitForMotion,
                       apsWaitForStable,
                       apsCheckWeightOk
                     };


/** Control of auto printing */
struct s_comms_print_auto
{
  /* Automatic printing */
  enum eAutoPrintState printer_state;
};


/** Run the auto printing state machine */
void comms_print_auto_check(struct s_comms_print_auto *cpa);


/** Initialise the auto printing */
void comms_print_auto_init(struct s_comms_print_auto *cpa);


#endif /* COMMS_PRINT_AUTO_H_ */
