/*
 * comms_print_init.h
 *
 *  Created on: 28/09/2011
 *      Author: ian
 */

#ifndef COMMS_PRINT_INIT_H_
#define COMMS_PRINT_INIT_H_

#include <stdbool.h>
#include <rinhw/rio.h>
#include "comms_print.h"
#include "comms_print_buffer.h"


/** Re-initialise parts of cp from the database settings */
void comms_print_reinit(struct s_comms_print *cp);


/** Create and initialise a new s_comms_print structure */
struct s_comms_print *comms_print_create(struct t_io_dev *serdev, struct s_comms_print_buffer *cpb, bool is_incoming_udp);


/** Clean up and destroy an existing s_comms_print structure */
void comms_print_destroy(struct s_comms_print *cp);


#endif /* COMMS_PRINT_INIT_H_ */
