/*
 * comms_setup.h
 *
 *  Created on: 13/10/2010
 *      Author: ian
 */

#ifndef COMMS_SETUP_H_
#define COMMS_SETUP_H_

#include <stdbool.h>
#include <rinhw/rio.h>
#include "serial_ports.h"


/**
 * Configure a serial port with the database settings
 *
 * Assumes port is already open.
 *
 * @param port is the serial port device to reconfigure
 * @param port_index
 * @param wait_transmit causes the function to wait until the transmit buffer is empty before reconfiguring it
 */
void comms_internal_reconfigure(struct t_io_dev *serdev, enum eSerialPort port, bool wait_transmit);


#endif /* COMMS_SETUP_H_ */
