/*
 * debug_loop.h
 *
 *  Created on: 09/03/2011
 *      Author: ian
 */

#ifndef DEBUG_LOOP_H_
#define DEBUG_LOOP_H_

#include <stdint.h>


/** Structure used for timing loops */
struct s_loop_timing
{
  uint32_t lasttime;          /* Last time a printout was made */
  uint32_t print_interval;    /* Number of seconds between printouts */
  uint32_t lastcount;         /* Loop count last time a printout was made */
  uint32_t count;             /* Current loop count */
};


void loop_timing_init(struct s_loop_timing *lt, uint32_t interval);


void loop_timing_check(struct s_loop_timing *lt, const char *prefix);


#endif /* DEBUG_LOOP_H_ */
