/*
 * fwinstall.h
 *
 *  Created on: Mar 23, 2012
 *      Author: ian
 */

#ifndef FWINSTALL_H_
#define FWINSTALL_H_

#include <stdlib.h>
#include <rinhw/stdrinstrum.h>


/**
 * Look for any .rpk files in dir_path
 *
 * Returns the number found, and the name of the last one
 */
int find_rpk(const char *dir_path, char *filename, size_t filename_length);


/**
 * Run "rinfwupgrade" in the background to install rpkfilename
 *
 * Note: rinfwupgrade will shutdown a bunch of services,
 * including the WE2111, so this app will die.
 */
bool install_rpk(const char *rpkfilename);


#endif /* FWINSTALL_H_ */
