/*
 * iface_clock.h
 *
 *  Created on: 01/04/2011
 *      Author: ian
 */

#ifndef IFACE_CLOCK_H_
#define IFACE_CLOCK_H_

#include <stddef.h>
#include <rinhw/rtc.h>
#include "menus.h"


/** Clock menu item list */
extern const struct s_menu_item menu_clock;


/** Convert time to a string based on DB format setting */
void to_string_time(char *buffer, size_t buflen, const t_datetime *datetime);


/** Convert date to a string based on DB format setting */
void to_string_date(char *buffer, size_t buflen, const t_datetime *datetime);


#endif /* IFACE_CLOCK_H_ */
