/*
 * iface_file.h
 *
 * File menus
 */

#ifndef IFACE_FILE_H_
#define IFACE_FILE_H_

#include <stdbool.h>
#include <stdint.h>
#include "dm_partition.h"
#include "menus.h"

#define USB_PARTITION_NOTIFICATION_TEXT_SIZE 30

extern bool usb_partition_notification;
extern char usb_partition_notification_text[USB_PARTITION_NOTIFICATION_TEXT_SIZE];


/** Function to call when a USB disk is mounted/unmounted */
void disk_mount_callback(void *client_callback_data, enum eDeviceMounterAction action, const char *mount_directory, bool result);


/** File menu item */
extern const struct s_menu_item menu_file;

/** USB menu item */
extern const struct s_menu_item sub_menu_usb;


#endif /* IFACE_FILE_H_ */
