/*
 * iface_setpoint.h
 *
 *  Created on: 04/03/2011
 *      Author: ian
 */

#ifndef IFACE_SETPOINT_H_
#define IFACE_SETPOINT_H_

#include "menus.h"
#include "db_setpoint.h"


/** Setpoint parameters */
enum eSetpointParameter { spTarget = 0,
                          spInFlight,
                          spHysteresis
                        };


/** Setpoint options index */
enum eSetpointOptions { SETP_OPT_ALARM = 0,
                        SETP_OPT_LOGIC,
                        SETP_OPT_SOURCE,
                        SETP_OPT_LOCK,
                        SETP_OPT_NUM
                      };


/** Setpoint menu item */
extern const struct s_menu_item menu_setpoint;


#endif /* IFACE_SETPOINT_H_ */
