/*
 * reboot.h
 *
 *  Created on: 27/10/2010
 *      Author: ian
 */

#ifndef REBOOT_H_
#define REBOOT_H_


/**
 * Force the system to reboot.
 *
 * Note this function will return, and our application will keep running
 * until the init process (or whatever it is) sends us a SIGTERM or SIGKILL.
 * This function simply initiates the reboot.
 */
int system_reboot(void);


#endif /* REBOOT_H_ */
