/*
 * root_passwd.h
 *
 *  Created on: Sep 19, 2016
 *      Author: ian
 */

#ifndef ROOT_PASSWD_H_
#define ROOT_PASSWD_H_

#include <stdint.h>
#include "app_db_factory.h"


/** Check the root password has been set, and if not set it */
void check_set_root_password(const struct s_db_app_factory *facdb);


/** Check if the user password is "user" and if it is then set it to "<serialnumber>", otherwise do nothing */
void check_set_user_password(uint32_t serialnumber);


#endif /* ROOT_PASSWD_H_ */
