#ifndef SYSCLOCK_DOT_H
#define SYSCLOCK_DOT_H 1

#include <stdbool.h>
#include <stdint.h>
#include <rinhw/rtc.h>


/** Get system date and time */
bool GetDateTime(t_datetime *datetime);


/** Set system date and time */
bool SetDateTime(const t_datetime *datetime);


bool check_date(uint8_t date, uint8_t month, uint16_t year);
/* called to check validity of the date.
** returns true if date ok, false otherwise.  Checks 29th Feb on leap year
****************************************************************************/


#endif /* #ifndef SYSCLOCK_DOT_H */
