/*
 * timer.h
 *
 *  Created on: 5 May 2016
 *      Author: merrick
 */

#ifndef TIMER_H_
#define TIMER_H_

#include <time.h>
#include <stdint.h>

// Use with clock_gettime(CLOCK_MONOTONIC, &start);
//          clock_gettime(CLOCK_MONOTONIC, &end);
struct timespec diffTime(struct timespec start, struct timespec end);

// same as above but return the difference in msec
int32_t msDiffTime(struct timespec start, struct timespec end);

// add msec to a timespec structure
struct timespec addTime(struct timespec start, int32_t msec);

#endif /* TIMER_H_ */
