/*
 * lcd_generic_char.h
 *
 *  Created on: 29/05/2012
 *      Author: ian
 */

#ifndef LCD_GENERIC_CHAR_H_
#define LCD_GENERIC_CHAR_H_

#include <rinhw/rio.h>


/** Device read from the LCD character buffer */
int lcd_generic_char_read(struct t_io_dev *io_dev, void *buf, unsigned short len, unsigned short timeout);


/** Device write of characters to the LCD (converts to digit bitmap before writing to LCD) */
int lcd_generic_char_write(struct t_io_dev *io_dev, const void *buf, unsigned short len);


#endif /* LCD_GENERIC_CHAR_H_ */
