/*
 * adc_ads1216_we21.h
 *
 *  Created on: May 21, 2013
 *      Author: ian
 */

#ifndef ADC_ADS1216_WE21_H_
#define ADC_ADS1216_WE21_H_

#include <rinhw/adc_ads1216_local.h>


/** User hardware init for ADC on WE2111 */
int adc24bit_user_hw_init_we21(struct sAdcSpiDevice *adcdev);


/** Reset the ADC, and check that it's responding */
int adc24bit_sync_spi_we21(struct sAdcSpiDevice *adcdev);


/**
 * Wait for a reading to become available
 *
 * This implementation utilises the /DRDY signal
 * connected to an interrupt line on the processor
 */
int adc24bit_wait_for_reading_we21(struct sAdcSpiDevice *adcdev, unsigned short timeout);


#endif /* ADC_ADS1216_WE21_H_ */
