#ifndef POWER_DOT_H
#define POWER_DOT_H 1


/*
 * PowerTurnOn -
 *
 * Turn the power on
 */
void PowerTurnOn(void);


/*
 * PowerTurnOff -
 *
 * Turn the power off. This function will never return
 */
void PowerTurnOff(void);


/*
 * SystemReset -
 *
 * Reset the system
 */
void SystemReset(void);


/*
 * StartFlashProgrammer -
 *
 * Start the flash programmer in the bootloader, but check the 
 * pointer is ok first. If the pointer is ok, then the function
 * is called (and never return), otherwise the function will
 * return.
 */
void StartFlashProgrammer(unsigned char sci);


#endif
