/*
 * sio_local_socket.h -
 *
 * This type of rin serial device takes a TCP port number
 * and opens a listen socket, and accepts a single incoming
 * connection. You should really use sio_local_established_socket
 * and maintain the listen part in your application.
 * This is really only here for legacy, and should be removed
 * once nothing uses it any more.
 */
#ifndef SIO_LOCAL_SOCKET_H_
#define SIO_LOCAL_SOCKET_H_

#include <rinhw/rio.h>


/**
 * Create a local socket serial port, listening on a TCP port
 *
 * This type of rin serial device takes a TCP port number
 * and opens a listen socket, and accepts a single incoming
 * connection. You should really use sio_local_established_socket
 * and maintain the listen part in your application.
 * This is really only here for legacy, and should be removed
 * once nothing uses it any more.
 *
 * @param io_dev is the un-initialised rin io device structure
 * @param tcp_port is the TCP port to listen on
 */
int rio_create_device_sio_localskt(struct t_io_dev *io_dev, int tcp_port);


#endif /* SIO_LOCAL_SOCKET_H_ */
