#ifndef TICK_DOT_H
#define TICK_DOT_H 1


/*
 * This is the struct that contains all the info to run a timer function
 * You need to declare this in your code, setup preset and fn, then call
 * TickAddFunction with the struct as a parameter.
 */
struct t_tick_fn
{
    unsigned short preset;
    unsigned short count;
    void (*fn)(void *data);   /* Function to be polled */
    void *data;               /* Pointer to data to be passed to fn() */
    struct t_tick_fn *next;
};


#endif /* #ifndef TICK_DOT_H */
