#ifndef _WDT_DOT_H
#define _WDT_DOT_H 1


#define EARLY_INIT_WDT early_init_wdt


/*
 * early_init_wdt -
 *
 * Specific initialisation of the WDT
 * This is called in the PowerON_Reset function, and requires the stack
 * to be located in the internal RAM, since the external RAM may not be up and running yet (depending on whether
 * early_init_dmt() is called before or after early_init_ram()
 */
void early_init_wdt(void);


#endif
