#include <rinhw/ucos_ii.h>
#include <rinhw/rstdio.h>

#include "stkchktest.h"


#if 0 /* Not really any use now we use pthreads */

#define TASK_STACK_CHECK_PRIO 7
#define TASK_STACK_CHECK_STK_SIZE 200
OS_STK StackCheckTaskStk[TASK_STACK_CHECK_STK_SIZE * 2];


unsigned char blat_stack_now = 0;


static void blat_stack(void)
{
    unsigned short i;
    OS_STK dodgy_data[TASK_STACK_CHECK_STK_SIZE * 2];

    for (i = 0; i < TASK_STACK_CHECK_STK_SIZE; i++)
    {
        dodgy_data[i] = 0x0000;
        OSTimeDly(1);
    }
}


static void StackCheckTask(void *data)
{
    struct t_io_dev *dev = (struct t_io_dev *) data;

    rfprintf(dev, "Task started, waiting for blat stack command\n");
    while (1)
    {
        if (blat_stack_now)
        {
            rfprintf(dev, "Blatting stack in 1 second\n");
            OSTimeDly(OS_TICKS_PER_SEC);
            blat_stack();
            rfprintf(dev, "Blatting stack returned ?!?!?!?\n");
            blat_stack_now = 0;
        }
        else
        {
            OSTimeDly(OS_TICKS_PER_SEC / 10);
        }
    }
}


static void RunStackCheckTask(struct t_io_dev *dev)
{
    rfprintf(dev, "Starting stack check task\n");
    OSTaskCreate(StackCheckTask, (void *) dev, &StackCheckTaskStk[(TASK_STACK_CHECK_STK_SIZE * 2) - 1], TASK_STACK_CHECK_PRIO);
}


void TestStackCheck(struct t_io_dev *dev, struct t_io_dev *dummy)
{
    unsigned char ch = 0x00;

    blat_stack_now = 0;

    while (ch != 'Q')
    {

        rfprintf(dev, "\nStack Check Test\n 'R' to run task, 'O' to overflow task stack (and halt), 'Q' to quit.\n");
        rread(dev, &ch, 1, 0);

        switch (ch)
        {
            case 'R':
                RunStackCheckTask(dev);
                break;
            case 'O':
                blat_stack_now = 1;
                break;
        }
    }
}

#endif
