#ifndef RB_AOUT_CAL_DOT_H
#define RB_AOUT_CAL_DOT_H 1

#include <rinblock/rinblock.h>


/*
 * RinBlockAOutReadFactoryCal -
 *
 * Read back the analog output factory calibration from an (analog) rinblock
 * Only used in the test code
 */
unsigned char RinBlockAOutReadFactoryCal(struct t_rinblock *rb, struct s_rb_aout_cal *aout_cal);


/*
 * RinBlockAOutWriteFactoryCal -
 *
 * Write the analog output factory calibration to a (analog) rinblock
 * Only used in the test code
 */
unsigned char RinBlockAOutWriteFactoryCal(struct t_rinblock *rb, const struct s_rb_aout_cal *aout_cal);


#endif
