/*
 * _rb_we21_lcd_common.h
 *
 *  Created on: 29/05/2012
 *      Author: ian
 */

#ifndef _RB_WE21_LCD_COMMON_H_
#define _RB_WE21_LCD_COMMON_H_

#include <stdbool.h>
#include <rinhw/lcd_generic.h>


/** Write data to the LCD on the rinblock */
int rb_we21_lcd_write_data(struct s_lcd_definition *lcd_definition);


/** Write a character ch to digit position index on the LCD.
 *
 * cwm is the write mode - either set or or the data
 */
void rb_we21_lcd_put_char(struct s_lcd_definition *lcd_definition, unsigned char index, unsigned char ch, enum eCharWriteMode cwm);


/** Work out if the digit index has a decimal point */
bool rb_we21_lcd_does_digit_have_dp(struct s_lcd_definition *lcd_definition, unsigned char index);


#endif /* _RB_WE21_LCD_COMMON_H_ */
