/*
 * rb_we21_lcd_dummy.c
 *
 *  Created on: Jul 8, 2014
 *      Author: ian
 */
#include <rinhw/rio.h>
#include <rinhw/lcd_generic.h>
#include <rinblock/rinblock.h>
#include <rinblock/rb_debug.h>
#include "_rb_we21_lcd_common.h"

#include <rinblock/rb_we21_lcd_dummy.h>


/** Function to create a dummy WE2111 LCD device that handles normal LCD IO into a buffer, but doesn't display it anywhere */
int rio_create_device_lcd_dummy_we21(struct t_io_dev *io_dev)
{
  /* Setup the new LCD device */
  return lcd_generic_segflash_create_device(io_dev,
                                            NULL,
                                            sizeof(struct s_rb_we21_disp_write_7seg),
                                            WE21_DISPLAY_NUM_DIGITS,
                                            NULL,
                                            NULL,
                                            NULL,
                                            rb_we21_lcd_put_char,
                                            rb_we21_lcd_does_digit_have_dp,
                                            NULL);
}
