#ifndef RB_DATABASE_DOT_H
#define RB_DATABASE_DOT_H 1


/*
 * This is what is stored in a serial rinblock scratchpad
 */
typedef struct t_rb_db_serial
{
    t_ioctl_siocfg siocfg1;
    t_ioctl_siocfg siocfg2;
    unsigned short checksum;
};


typedef struct t_rb_db_dio
{
    t_ioctl_siocfg siocfg1;
    t_ioctl_siocfg siocfg2;
    unsigned short checksum;
};


typedef union t_rb_settings
{
    struct t_rb_db_serial rb_db_serial;
    struct t_rb_db_dio rb_db_dio;
};

#if 0
typedef struct t_rb_database
{
    struct rbtatus
    struct t_rb_general_tag tag;
    unsigned char old_slot;
    union t_rb_settings settings;
    unsigned short checksum;
};
#endif

void scratchpad_test(struct t_io_dev *debug_dev, struct t_rinblock *rb);

#endif