#include <string.h>
#include <stdarg.h>
#include <rinhw/stdrinstrum.h>
#include <rinhw/rstdio.h>
#include <rinhw/rio.h>
#include <rinhw/ucos_ii.h>
#include <rinhw/debug.h>
#include <rinhw/flash2238.h>
#include <rinremote/remote.h>
#include "remote_device.h"

#include <rinremote/flash2238_remote.h>


/** Function to create and initialise a remote buzzer device */
int rio_create_device_flash2238_remote(struct t_io_dev *io_dev)
{
  /* Create and initialise a default remote device (standard IO functions, no IOCTL function) */
  return rio_create_device_default_remote(io_dev, REMOTE_DEV_FLASH);
}
