/*
 * remote_iic.h
 *
 *  Created on: 26/10/2008
 *      Author: ianb
 */

#ifndef REMOTE_ADC24BIT_H_
#define REMOTE_ADC24BIT_H_

#include <rinhw/stdrinstrum.h>


/*
 * IOCTL_ADC24BIT_SET_ZERO_REGISTER 600
 * IOCTL_ADC24BIT_SET_SPAN_REGISTER 602
 * IOCTL_ADC24BIT_SET_PGA_GAIN 604
 * IOCTL_ADC24BIT_SET_DECIMATION_RATIO 605
 * IOCTL_ADC24BIT_SET_LCWIRE_MODE 606
 * IOCTL_ADC24BIT_FORCE_RESET 607
*/
struct s_rem_dev_cmd_ioctl_adc24bit_set_level
{
  int32u ui32Level;
};


/*
IOCTL_ADC24BIT_GET_ZERO_REGISTER 601
IOCTL_ADC24BIT_GET_SPAN_REGISTER 603
*/
struct s_rem_dev_cmd_ioctl_adc24bit_get_level
{
  int8u ui8Unused;
};

struct s_rem_dev_resp_ioctl_adc24bit_get_level
{
  int32s i32Result;
  int32u ui32Level;
};


#endif /* REMOTE_ADC24BIT_H_ */
