/*
 * cmdline.h
 *
 *  Created on: Jul 27, 2016
 *      Author: ian
 */

#ifndef CMDLINE_H_
#define CMDLINE_H_

#include <stdbool.h>


/** Display command line help */
extern bool cmdline_showhelp;


/** Log error messages to stdout */
extern bool cmdline_logtostdout;


/** Log error messages to syslog */
extern bool cmdline_logtosyslog;


/** Serial port device to use for remote devices */
extern const char *cmdline_remote_device;


/** TCP port to listen on for remote devices */
extern int cmdline_remote_tcpport;


/** Print out the command line options */
void print_commandlineopts(const char *program_name);


/** Parse the command line options */
int parse_commandline(int argc, char *argv[]);


#endif /* CMDLINE_H_ */
