/*
 * remotedemux.h
 *
 *  Created on: 20/08/2009
 *      Author: ianb
 */

#ifndef REMOTEDEMUX_H_
#define REMOTEDEMUX_H_

#include <rinremote/remote.h>
#include <rinhw/rio.h>


extern struct t_io_dev *slip_device;


/** Check the basics of the command packet are ok */
bool bCheckPacketCommand( const struct s_rem_device_command *prdCmd, int nLength );


/** Get the size of the command, assuming the packet is good */
int nGetPacketSizeBasedOnCommand( const struct s_rem_device_command *prdCmd );


void vHandleGoodPacket( const struct s_rem_device_command *prdCmd,
                        struct s_rem_device_response *prdResponse, int *pnLength );


#endif /* REMOTEDEMUX_H_ */
