/*
 * remoteserial.h
 *
 *  Created on: 21/08/2009
 *      Author: ianb
 */

#ifndef REMOTESERIAL_H_
#define REMOTESERIAL_H_

#include <rinremote/slip.h>


/** Send the data in pui8TxBuffer encapsulated into a slip packet over the serial port. Gets exclusive access to write the serial port. */
void vExclusiveSlipSendPacket(struct s_slipio *slipio, const int8u *pui8TxBuffer, int nTxLength);


/** Initialise the exclusive slip packet sending */
void vInitExclusiveSlipSendPacket(void);


/** Destroy the exclusive slip packet sending */
void vDestroyExclusiveSlipSendPacket(void);


#endif /* REMOTESERIAL_H_ */
