import rc_reg_translate


class PyRinCmdRegTranslate_PY(rc_reg_translate.PyRinCmdRegTranslate):
    """Class for translating rincmd registers XML into python"""

    def xml_register_ids_to_namespace(self, ns):
        prefix = self.get_c_python_define_prefix()
        for reg in self.registers:
            pydef, pyval = reg.get_register_id_py_const(prefix=prefix)
            setattr(ns, pydef, pyval)
