/*
 * rc_cli_error.c
 *
 *  Created on: 30 Apr. 2018
 *      Author: ian
 */
#include <rincmd/rc_cli_error.h>


/** Error strings */
static const char *const rc_cli_result_strs[rcr_num] = RC_CLI_RESULT_STRS;


/** Get an error/result string for a rincmd client result */
const char *rc_cli_error_strings(enum e_rc_cli_result result)
{
  return rc_cli_result_strs[(result < rcr_num) ? result : rcr_failure];
}
