/*
 * rc_strncpy.c
 *
 *  Created on: Nov 22, 2017
 *      Author: ian
 */
#include <string.h>

#include <rincmd/rc_strncpy.h>


/** A "safe" version of strncpy, in that it ensures the string is null terminated by setting the last byte of test to '\0' */
char *rc_safe_strncpy(char *dest, const char *src, size_t n)
{
  strncpy(dest, src, n);
  dest[n - 1] = '\0';
  return dest;
}
