/*
 * db_database_search.h
 *
 *  Created on: Jun 26, 2012
 *      Author: ian
 */

#ifndef DB_DATABASE_SEARCH_H_
#define DB_DATABASE_SEARCH_H_

#include <rindb/db_database.h>
#include <rindb/db_element.h>


/** Retrieve a database element by database element name */
enum eDBError db_database_get_element_by_dbname(struct s_db_database *database, const char *name, struct s_db_element **elem);


/** Retrieve a database element by menu name */
enum eDBError db_database_get_element_by_username(struct s_db_database *database, const char *name, struct s_db_element **elem);


#endif /* DB_DATABASE_SEARCH_H_ */
