/*
 * db_error.c
 *
 *  Created on: 19/06/2011
 *      Author: ian
 */

#include <rindb/db_error.h>


static const char *const db_error_strings[dbeNumErrors] = DB_ERROR_STRS;


/** Convert a database library error into a human readable error string */
const char *db_error_to_string(enum eDBError dberror)
{
  return (dberror < dbeNumErrors) ? db_error_strings[dberror] : db_error_strings[dbeFailure];
}
