/*
 * test_db_create.h
 *
 *  Created on: 22/07/2011
 *      Author: ian
 */

#ifndef TEST_DB_CREATE_H_
#define TEST_DB_CREATE_H_

#include <stdint.h>
#include <rindb/db_interp_xml.h>
#include <rindb/db_interp_bin.h>
#include <cutest/CuTest.h>


#define TEST_BIN_FILENAME "dbtest.bin"
#define TEST_XML_FILENAME "dbtest.xml"


extern struct s_db_database_interp ddi_bin;
extern struct s_db_database_interp ddi_xml;


/** Zero all elements in the database */
void db_zero(void);


/** Check values set to defaults */
void test_dblib_default_check(CuTest* tc, uint32_t dbversion);


CuSuite *CuGetSuite_DB_Create(void);


CuSuite *CuGetSuite_DB_Destroy(void);


#endif /* TEST_DB_CREATE_H_ */
