/*
 * el_pipe.h
 *
 *  Created on: Nov 6, 2017
 *      Author: ian
 */

#ifndef EL_PIPE_H_
#define EL_PIPE_H_

#include <rinexec/el_runcmd.h>


/** Initialise a s_runcmd_pipe_config structure (to empty, ie no data will be sent or received from the child process) */
void el_init_runcmd_pipe_config(struct s_runcmd_pipe_config *rcc);


/** Create a callback for reading data from a process from stdout, stderr, or both */
void el_init_read_cmd_pipe_callback(struct s_runcmd_pipe_config *rcpc, enum e_el_read_pipe read_pipe, read_cmd_pipe_fn_t read_fn, void *read_cmd_data);


/** Create a callback for writing data to a process to stdin */
void el_init_write_cmd_pipe_callback(struct s_runcmd_pipe_config *rcpc, write_cmd_pipe_fn_t write_fn, void *write_cmd_data);


#endif /* EL_PIPE_H_ */
