/*
 * rlc_parameter_print.h
 *
 *  Created on: 7 Jan. 2019
 *      Author: ian
 */

#ifndef RLC_COMMAND_PRINT_H_
#define RLC_COMMAND_PRINT_H_

#include <stdio.h>
#include <rincmd/rc_cli_error.h>
#include <rinlegacycmd/rlc_parameter.h>


/** Print out a rinstrum legacy comms parameter in a human readable form */
enum e_rc_cli_result rlc_parameter_fprintf(FILE *out, const char *prefix, const struct s_rlc_parameter *param);


/** Print out a rinstrum legacy comms command in a human readable form */
enum e_rc_cli_result rlc_command_fprintf(FILE *out, const struct s_rlc_command *rlc_cmd);


#endif /* RLC_COMMAND_PRINT_H_ */
