/*
 * rlc_server_sxx.h
 *
 *  Created on: 14 Jan. 2019
 *      Author: ian
 */

#ifndef RLC_SERVER_SXX_H_
#define RLC_SERVER_SXX_H_

#include <rinlegacycmd/rlc_parameter.h>


/** Handle STP - stop MSV streaming command */
void rlc_server_handle_STP(void *userdata,
                           const struct s_rlc_command *command, struct s_rlc_command *response);


/** Match command for Snn - addressing commands */
bool rlc_server_match_Snn(void *userdata, const char command[RLC_COMMAND_LENGTH]);


/** Handle Snn - addressing commands */
void rlc_server_handle_Snn(void *userdata,
                           const struct s_rlc_command *command, struct s_rlc_command *response);


#endif /* RLC_SERVER_SXX_H_ */
