/*
 * rc_client_sync.h
 *
 *  Created on: Dec 15, 2017
 *      Author: ian
 */

#ifndef RLC_CLIENT_SYNC_H_
#define RLC_CLIENT_SYNC_H_

#include <time.h>
#include <stdbool.h>
#include <rincmd/rc_cli_comms.h>
#include <rincmd/rc_cli_error.h>
#include <rinlegacycmd/rlc_parameter.h>


/** Get a timeout pointer */
struct timespec *get_timeout_ptr(struct timespec *to, int timeoutms);


/** Rinstrum legacy client synchronous client example */
enum e_rc_cli_result rlc_sync_client_example(struct s_rc_cli_comms *rcc,
                                             const char query_command[RLC_COMMAND_LENGTH],
                                             bool usecrc, bool streaming,
                                             unsigned repeats, int timeoutms, bool *quit);


#endif /* RLC_CLIENT_SYNC_H_ */
