/*
 * rl_generate_r300.h
 *
 *  Created on: Nov 4, 2016
 *      Author: ian
 */

#ifndef RL_GENERATE_R300_H_
#define RL_GENERATE_R300_H_

#include <stdint.h>
#include <utarray.h>
#include <rinlicence/rl_licence.h>


/** Add all R300 known packages to known package list */
enum e_rl_result rl_init_r300_known_packages(UT_array *known_packages);


/** Generate an R300 licence code for given package name and serial number */
enum e_rl_result rl_generate_licence_code_r300(struct s_rl_licence *rl_licence, const char *package_name, uint32_t *licence_code);


#endif /* RL_GENERATE_R300_H_ */
