/*
 * rl_init_common.h
 *
 *  Created on: Nov 15, 2016
 *      Author: ian
 */

#ifndef RL_INIT_COMMON_H_
#define RL_INIT_COMMON_H_

#include <stdint.h>
#include <rinlicence/rl_licence.h>


/** Allocate and initialise rin licence structure */
enum e_rl_result rl_init_common(struct s_rl_licence **rl_licence,
                                uint32_t serial_number,
                                uint32_t *package_licence_codes,
                                uint32_t *num_package_licence_codes,
                                size_t total_num_package_licence_codes,
                                size_t licence_code_length,
                                const char *licence_code_digit_combinations,
                                t_rl_generate_licence_code_fn rl_generate_licence_code_fn,
                                t_rl_get_package_type_fn rl_get_package_type_fn);


#endif /* RL_INIT_COMMON_H_ */
