/*
 * rl_opkg.h
 *
 *  Created on: Oct 19, 2016
 *      Author: ian
 */

#ifndef RL_OPKG_H_
#define RL_OPKG_H_

#include <rinlicence/rl_licence.h>


/** Get a list of installed packages */
enum e_rl_result rl_opkg_get_installed_packages(struct s_rl_licence *rl_licence);


/** Try to match a package name against a regex */
enum e_rl_result rl_opkg_package_match_regex(struct s_rl_licence *rl_licence, const char *regex_str, const char *package_name);


#endif /* RL_OPKG_H_ */
