/*
 * AdcDbFactory.h
 *
 *  Created on: Apr 17, 2012
 *      Author: ian
 */

#ifndef ADCDBFACTORY_H_
#define ADCDBFACTORY_H_

#include "adcdatatypes.h"


/** Set a factory database to defaults */
void AdcIntFactoryDatabaseDefault(AdcFactoryDatabase *afd);


/** Check the factory database checksum */
bool AdcIntFactoryDatabaseCheckChecksum(const AdcFactoryDatabase *afd);


/** Set the factory database checksum */
void AdcIntFactoryDatabaseSetChecksum(AdcFactoryDatabase *afd);


/** Compare factory databases, return true if different */
bool AdcIntFactoryDatabaseDiff(const AdcFactoryDatabase *afd1, const AdcFactoryDatabase *afd2);


#endif /* ADCDBFACTORY_H_ */
