/*
 * AdcDbRuntime.h
 *
 *  Created on: Apr 17, 2012
 *      Author: ian
 */

#ifndef ADCDBRUNTIME_H_
#define ADCDBRUNTIME_H_

#include "adcdatatypes.h"


/** Set a runtime database to defaults */
void AdcIntRuntimeDatabaseDefault(AdcRuntimeDatabase *ard);


/** Check the runtime database checksum */
bool AdcIntRuntimeDatabaseCheckChecksum(const AdcRuntimeDatabase *ard);


/** Set the runtime database checksum */
void AdcIntRuntimeDatabaseSetChecksum(AdcRuntimeDatabase *ard);


/** Compare runtime databases, return true if different */
bool AdcIntRuntimeDatabaseDiff(const AdcRuntimeDatabase *ard1, const AdcRuntimeDatabase *ard2);


#endif /* ADCDBRUNTIME_H_ */
