/*
 * adcfactory.h
 *
 * These are factory function that you really don't want to run in
 * normal operation of the ADC library
 *
 *  Created on: Jun 23, 2012
 *      Author: ian
 */
#ifndef ADCFACTORY_H_
#define ADCFACTORY_H_

#include <rinhw/stdrinstrum.h>
#include <rinweigh/adcdatatypes.h>


/** Clear averaging buffer without changing averaging configuration */
void AdcFactoryMainAverageBufferClear(AdcSuperStructure *ass, bool lock);


/** Check if main averaging buffer is full */
bool AdcFactoryMainAverageBufferIsFull(AdcSuperStructure *ass, bool lock);


#endif /* ADCFACTORY_H_ */
