/*
 * adcmiscellaneous.h
 *
 *  Created on: Feb 29, 2012
 *      Author: ian
 */

#ifndef ADCMISCELLANEOUS_H_
#define ADCMISCELLANEOUS_H_

#include "adcdatatypes.h"


/** Initialise the AdcMiscellaneous structure */
void AdcIntInitMiscellaneous(AdcMiscellaneous *misc,
                             t_adc_get_datetime_fn adc_get_datetime_fn,
                             AdcDatabaseDefaultImplementerFn adcDatabaseDefaultImplementerFn,
                             AdcDatabaseSaveImplementerFn adcDatabaseSaveImplementerFn,
                             AdcAppCallbackImplementerFn adcAppCallbackImplementerFn,
                             AdcDatabaseCalCountCheckImplementerFn adcDatabaseCalCountCheckImplementerFn);


/** Function to get the current date and time */
bool AdcIntGetDateTime(AdcSuperStructure *ass, t_datetime *datetime);


/** Callback to the application at select locations */
void AdcAppCallbackLocation(AdcSuperStructure *ass, enum eAdcCallbackFunctionLocation callbackLocation);


#endif /* ADCMISCELLANEOUS_H_ */
