/*
 * cmdline.h
 *
 *  Created on: Mar 28, 2012
 *      Author: ian
 */

#ifndef CMDLINE_H_
#define CMDLINE_H_

#include <stdbool.h>


extern bool cmdline_display_help;
extern const char *cmdline_i2c_device;
extern const char *cmdline_we21hw_device;
extern const char *cmdline_adcspi_device;
extern const char *cmdline_fram_device;
extern const char *cmdline_factorydb_filename;
extern const char *cmdline_userdb_filename;
extern const char *cmdline_runtimedb_filename;
extern const char *cmdline_dsd_filename;
extern bool cmdline_dsd_has_alt_rdg;
extern bool cmdline_dsd_has_pieces;

extern const char *cmdline_changelog_filename;
extern int cmdline_liveweigh_algorithm;


/** Serial port device to use for remote devices, if NULL remote devices are not used */
extern const char *cmdline_remote_device;


void cmdline_print_usage(const char *prog);


int cmdline_parse_options(int argc, char *argv[]);


#endif /* CMDLINE_H_ */
