/*
 * getchar.h
 *
 *  Created on: 29/03/2011
 *      Author: ian
 */

#ifndef GETCHAR_H_
#define GETCHAR_H_

#include <stdbool.h>


/** Determine if a character is available */
bool is_char_avail(void);


/** Get character with immediate return if no chars available */
bool get_stdin_char(char *ch);


/** Get character with indefinite timeout */
bool get_stdin_char_block(char *ch);


/** Get a character from stdin with a timeout */
bool get_stdin_char_timeout(char *ch, unsigned short timeout);


#endif /* GETCHAR_H_ */
