/*
 * print_rdg.h
 *
 *  Created on: 29/03/2011
 *      Author: ian
 */

#ifndef PRINT_RDG_H_
#define PRINT_RDG_H_

#include <stdio.h>
#include <rinweigh/adcdatatypes.h>


/** Of the form "Rdg: 18.20 kg" */
void print_adc_simple_reading(FILE *f, const AdcRdg *rdg);


/** Of the form "Id: 0, Rdg: 18.20 kg GradPos:6,GorN:1,Range:1,Gross" */
void print_adc_full_reading(FILE *f, const AdcRdg *rdg);


void print_adc_data(const AdcData *d);


void print_adc_operation_error(FILE *f, int8u opresult);


#endif /* PRINT_RDG_H_ */
