/*
 * print_rdg.h
 *
 *  Created on: 29/03/2011
 *      Author: ian
 */

#ifndef PRINT_SETTING_H_
#define PRINT_SETTING_H_

#include <stdio.h>
#include <rinweigh/adcdatatypes.h>


// used to print groups of settings

/*
 * User
 */

void print_build_settings(FILE *f, const AdcUserDatabase *udb);
void print_option_settings(FILE *f, const AdcUserDatabase *udb);
void print_other_settings(FILE *f, const AdcUserDatabase *udb);
void print_cal_settings(FILE *f, const AdcUserDatabase *udb);
void print_user_checksum(FILE *f, const AdcUserDatabase *udb);

/*
 * Factory
 */

void print_factory_settings(FILE *f, const AdcFactoryDatabase *fdb);
void print_factory_checksum(FILE *f, const AdcFactoryDatabase *fdb);


// Used internally to print the settings
void print_group_start(FILE *f, const char *name);
void print_setting(FILE *f, const char *name, long setting);
void print_group_finish(FILE *f);

#endif
